-- phpMyAdmin SQL Dump
-- version 4.9.5
-- https://www.phpmyadmin.net/
--
-- Host: localhost
-- Czas generowania: 21 Mar 2024, 08:32
-- Wersja serwera: 10.5.23-MariaDB-0+deb11u1
-- Wersja PHP: 7.4.33

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Baza danych: `serwer173084_uzet2`
--

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `Badanie`
--

CREATE TABLE `Badanie` (
  `ICD9` char(6) NOT NULL,
  `Kategoria` varchar(150) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Zrzut danych tabeli `Badanie`
--

INSERT INTO `Badanie` (`ICD9`, `Kategoria`) VALUES
('A01', 'Badanie ogólne moczu (profil)'),
('A03', 'Badanie płynu mózgowo-rdzeniowego'),
('A05', 'Badanie płynu z jamy ciała (opłucnej, otrzewnej)'),
('A07', 'Białko w moczu'),
('A09', 'Bilirubina w moczu'),
('A11', 'Ciała ketonowe w moczu'),
('A12', 'Ciężar właściwy moczu'),
('A13', 'Erytrocyty/ hemoglobina w moczu'),
('A14', 'Leukocyty w moczu'),
('A15', 'Glukoza w moczu'),
('A17', 'Krew utajona w kale'),
('A19', 'Osad moczu'),
('A21', 'Pasożyty/ jaja pasożytów w kale'),
('A23', 'Resztki pokarmowe w kale'),
('A25', 'Urobilinogen w moczu'),
('C01', 'Erytroblasty'),
('C02', 'Erytrocyty – liczba'),
('C03', 'Erytrocyty – oporność osmotyczna'),
('C05', 'Erytrocyty – próba Hama'),
('C07', 'Erytrocyty – próba sacharozowa'),
('C09', 'Erytrogram'),
('C10', 'Inne antygeny grupowe krwinek czerwonych'),
('C11', 'Fosfataza zasadowa granulocytów'),
('C13', 'Granulocyty – badanie aktywności fagocytarnej'),
('C15', 'Granulocyty zasadochłonne – test bezpośredniej degranulacji'),
('C19', 'Hemoglobina, rozdział'),
('C21', 'Leukocyty – badanie aktywności peroksydazy (POX)'),
('C23', 'Leukocyty – badanie aktywności esterazy nieswoistej'),
('C27', 'Leukocyty – badanie immunofenotypowe komórek blastycznych'),
('C29', 'Leukocyty – barwienie sudanem czarnym B'),
('C30', 'Leukocyty – liczba'),
('C31', 'Leukocyty – reakcja PAS'),
('C32', 'Leukocyty – obraz odsetkowy'),
('C33', 'Limfadenogram'),
('C35', 'Limfoblasty'),
('C37', 'Limfocyty B'),
('C39', 'Limfocyty BCD5+'),
('C41', 'Limfocyty T'),
('C43', 'Limfocyty TCD4+'),
('C45', 'Limfocyty TCD8+'),
('C47', 'Metamielocyty'),
('C49', 'Mieloblasty'),
('C51', 'Mielogram'),
('C53', 'Morfologia krwi 8-parametrowa'),
('C55', 'Morfologia krwi, z pełnym różnicowaniem granulocytów'),
('C57', 'Objętość krwi krążącej'),
('C59', 'Odczyn opadania krwinek czerwonych'),
('C61', 'Płytki krwi - badanie adhezji'),
('C63', 'Płytki krwi - badanie agregacji'),
('C65', 'Płytki krwi - czas przeżycia'),
('C66', 'Płytki krwi – liczba'),
('C67', 'Promielocyty'),
('C69', 'Retykulocyty'),
('C71', 'Splenogram'),
('C73', 'Test hamowania migracji makrofagów');

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `Choroby`
--

CREATE TABLE `Choroby` (
  `ICD10` char(3) NOT NULL,
  `KategoriaCh` varchar(200) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Zrzut danych tabeli `Choroby`
--

INSERT INTO `Choroby` (`ICD10`, `KategoriaCh`) VALUES
('J00', 'Ostre zapalenie nosa i gardła [przeziębienie]'),
('J01', 'Ostre zapalenie zatok'),
('J02', 'Ostre zapalenie gardła'),
('J03', 'Ostre zapalenie migdałków podniebiennych'),
('J04', 'Ostre zapalenie krtani i tchawicy'),
('J05', 'Ostre krupowe zapalenie krtani i nagłośni'),
('J06', 'Ostre zakażenie górnych dróg oddechowych o umiejscowieniu mnogim nieokreślonym'),
('J09', 'Grypa wywołana przez zidentyfikowany wirus grypy ptasiej'),
('J10', 'Grypa wywołana przez inny zidentyfikowany wirus grypy'),
('J11', 'Grypa, wirus niezidentyfikowany'),
('J12', 'Wirusowe zapalenie płuc, niesklasyfikowane gdzie indziej'),
('J13', 'Zapalenie płuc wywołane przez Streptococcus pneumoniae'),
('J14', 'Zapalenie płuc wywołane przez Haemophilus influenzae'),
('J15', 'Bakteryjne zapalenie płuc niesklasyfikowane gdzie indziej'),
('J16', 'Zapalenie płuc wywołane przez inny czynnik zakaźny, niesklasyfikowane gdzie indziej'),
('J17', 'Zapalenie płuc w przebiegu chorób sklasyfikowanych gdzie indziej'),
('J18', 'Zapalenie płuc wywołane przez niezidentyfikowany czynnik zakaźny'),
('J20', 'Ostre zapalenie oskrzeli'),
('J21', 'Ostre zapalenie oskrzelików'),
('J22', 'Nieokreślone ostre zakażenie dolnych dróg oddechowych'),
('J30', 'Naczynioruchowy i alergiczny nieżyt nosa'),
('J31', 'Przewlekłe zapalenie błony śluzowej nosa, nosa i gardła, a także gardła'),
('J32', 'Przewlekłe zapalenie zatok'),
('J33', 'Polip nosa'),
('J34', 'Inne choroby nosa i zatok przynosowych'),
('J35', 'Przewlekłe choroby migdałków podniebiennych i migdałka gardłowego'),
('J36', 'Ropień okołomigdałkowy'),
('J37', 'Przewlekłe zapalenie krtani oraz krtani i tchawicy'),
('J38', 'Choroby strun głosowych i krtani, niesklasyfikowane gdzie indziej'),
('J39', 'Inne choroby górnych dróg oddechowych'),
('J40', 'Zapalenie oskrzeli nieokreślone jako ostre albo przewlekłe'),
('J41', 'Proste i śluzowo-ropne przewlekłe zapalenie oskrzeli'),
('J42', 'Nieokreślone przewlekłe zapalenie oskrzeli'),
('J43', 'Rozedma'),
('J44', 'Inne przewlekłe obturacyjne choroby płuc'),
('J45', 'Astma oskrzelowa'),
('J46', 'Stan astmatyczny'),
('J47', 'Rozstrzenie oskrzeli'),
('J60', 'Pylica górników kopalń węgla'),
('J61', 'Pylica spowodowana azbestem lub innymi włóknami mineralnymi'),
('J62', 'Pylica wywołana przez ekspozycję na pył zawierający krzem'),
('J63', 'Pylica wywołana przez wdychanie innych pyłów nieorganicznych'),
('J64', 'Nieokreślona pylica płuc'),
('J65', 'Pylica płuc współistniejąca z gruźlicą'),
('J66', 'Choroby dróg oddechowych spowodowane wdychaniem określonych pyłów organicznych'),
('J67', 'Zapalenie płuc związane z nadwrażliwością na pył organiczny'),
('J68', 'Zaburzenia oddechowe wywołane przez wdychanie środków chemicznych, gazów, spalin i par'),
('J69', 'Zapalenie płuc wywołane przez aspirację substancji płynnych i stałych'),
('J70', 'Zaburzenia oddechowe wywołane przez czynniki zewnętrzne'),
('J80', 'Zespół ciężkiej niewydolności oddechowej dorosłych'),
('J81', 'Obrzęk płuc'),
('J82', 'Eozynofilia płucna niesklasyfikowana gdzie indziej'),
('J84', 'Inne śródmiąższowe choroby płuc'),
('J85', 'Ropień płuca i śródpiersia'),
('J86', 'Ropniak opłucnej'),
('J90', 'Wysięk opłucnowy niesklasyfikowany gdzie indziej'),
('J91', 'Wysięk opłucnowy w przebiegu chorób sklasyfikowanych gdzie indziej'),
('J92', 'Blaszka opłucnej'),
('J93', 'Odma opłucnowa'),
('J94', 'Inne choroby opłucnej'),
('J95', 'Pozabiegowe zaburzenia oddychania niesklasyfikowane gdzie indziej'),
('J96', 'Niewydolność oddechowa niesklasyfikowana gdzie indziej'),
('J98', 'Inne zespoły zaburzeń oddychania'),
('J99', 'Zaburzenia układu oddechowego w przebiegu chorób sklasyfikowanych gdzie indziej');

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `Lekarz`
--

CREATE TABLE `Lekarz` (
  `PWZ` char(7) NOT NULL,
  `NazwiskoL` varchar(30) NOT NULL,
  `ImięL` varchar(30) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Zrzut danych tabeli `Lekarz`
--

INSERT INTO `Lekarz` (`PWZ`, `NazwiskoL`, `ImięL`) VALUES
('1111111', 'Bęben', 'Adam'),
('1234567', 'Adamska', 'Alicja'),
('2222222', 'Trąbka', 'Tadeusz'),
('7654321', 'Wójcik', 'Zofia');

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `Lekarz_Specjalnosc`
--

CREATE TABLE `Lekarz_Specjalnosc` (
  `PWZ` char(7) NOT NULL,
  `IDSpec` char(6) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Zrzut danych tabeli `Lekarz_Specjalnosc`
--

INSERT INTO `Lekarz_Specjalnosc` (`PWZ`, `IDSpec`) VALUES
('1111111', '221101'),
('1234567', '221209'),
('7654321', '221101');

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `Pacjent`
--

CREATE TABLE `Pacjent` (
  `PESEL` char(11) NOT NULL,
  `NazwiskoP` varchar(30) NOT NULL,
  `ImięP` varchar(30) NOT NULL,
  `DataUr` date NOT NULL,
  `Płeć` enum('K','M') NOT NULL,
  `Ubezpieczony` tinyint(1) NOT NULL,
  `Adres` varchar(50) DEFAULT NULL,
  `Telefon` varchar(15) DEFAULT NULL,
  `PWZ` char(7) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Zrzut danych tabeli `Pacjent`
--

INSERT INTO `Pacjent` (`PESEL`, `NazwiskoP`, `ImięP`, `DataUr`, `Płeć`, `Ubezpieczony`, `Adres`, `Telefon`, `PWZ`) VALUES
('01272000695', 'Zięba', 'Wojciech', '2001-07-20', 'M', 1, 'Zielona Góra, ul. Wiśniowa 35/10', NULL, '1234567'),
('05301269066', 'Kaczor', 'Anna', '2005-10-12', 'K', 1, 'Nowa Sól, Zielonogórska 15/20', NULL, NULL),
('07291096679', 'Sowa', 'Krzysztof', '2007-09-10', 'M', 0, 'Zielona Góra, ul. Botaniczna 45/12', NULL, NULL),
('10323067941', 'Czajka', 'Edyta', '2010-12-30', 'K', 1, 'Sulechów, ul. B. Chrobrego 15', NULL, '7654321'),
('60010101539', 'Kruk', 'Stanisław', '1960-01-01', 'M', 1, 'Zielona Góra, ul. Licealna 20/3', NULL, '1111111'),
('70052000234', 'Nowak', 'Andrzej', '1970-05-20', 'M', 1, 'ul. Podgórna 41, 65-240 Zielona Góra', NULL, '1234567'),
('79082034999', 'Ryba', 'Bartosz', '1979-08-20', 'M', 1, 'Zielona Góra, ul. Jaskółcza 12', NULL, '7654321'),
('82012090803', 'Kowalski', 'Jan', '1982-01-20', 'M', 1, 'ul. Podgórna 50, 65-246 Zielona Góra', '123456789', '1234567'),
('85021594387', 'Czapla', 'Jolanta', '1985-02-15', 'K', 1, 'Zielona Góra, Podgórna 50/12', NULL, '7654321'),
('95033150718', 'Zięba', 'Aleksander', '1995-03-31', 'M', 0, 'Zielona Góra, ul. Wiśniowa 35/10', NULL, NULL);

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `ProceduryNFZ`
--

CREATE TABLE `ProceduryNFZ` (
  `IDPNFZ` char(15) NOT NULL,
  `Procedura` varchar(75) NOT NULL,
  `Punkty` decimal(3,1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Zrzut danych tabeli `ProceduryNFZ`
--

INSERT INTO `ProceduryNFZ` (`IDPNFZ`, `Procedura`, `Punkty`) VALUES
('5.01.00.0000121', 'porada lekarska udzielona w miejscu udzielania świadczenia', '0.0'),
('5.01.00.0000122', 'porada lekarska udzielona w domu pacjenta', '0.0'),
('W01', 'Świadczenie pohospitalizacyjne', '4.0'),
('W02', 'Świadczenie receptowe', '1.0'),
('W11', 'Świadczenie specjalistyczne 1-go typu', '3.5'),
('W12', 'Świadczenie specjalistyczne 2-go typu', '7.0'),
('W13', 'Świadczenie specjalistyczne 3-go typu', '13.0'),
('W14', 'Świadczenie specjalistyczne 4-go typu', '17.0'),
('W15', 'Świadczenie specjalistyczne 5-go typu', '5.0'),
('W16', 'Świadczenie specjalistyczne 6-go typu', '6.0'),
('W17', 'Świadczenie specjalistyczne 7-go typu', '10.0'),
('W18', 'Świadczenie specjalistyczne 8-go typu', '22.0'),
('W19', 'Świadczenie specjalistyczne 9-go typu', '32.0'),
('W20', 'Świadczenie specjalistyczne 10-go typu', '47.0'),
('W31', 'Porada udzielana w miejscu pobytu', '7.5');

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `Skierowanie`
--

CREATE TABLE `Skierowanie` (
  `IDW` int(11) NOT NULL,
  `ICD9` char(6) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Zrzut danych tabeli `Skierowanie`
--

INSERT INTO `Skierowanie` (`IDW`, `ICD9`) VALUES
(1, 'A01'),
(1, 'A12'),
(3, 'A01'),
(3, 'C53'),
(6, 'C53'),
(7, 'C53'),
(8, 'A01'),
(8, 'C53'),
(9, 'C53'),
(10, 'C53'),
(11, 'A01');

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `Specjalnosc`
--

CREATE TABLE `Specjalnosc` (
  `IDSpec` char(6) NOT NULL,
  `NazwaSpec` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Zrzut danych tabeli `Specjalnosc`
--

INSERT INTO `Specjalnosc` (`IDSpec`, `NazwaSpec`) VALUES
('221101', 'Lekarz'),
('221209', 'Lekarz - specjalista chirurgii ogólnej'),
('221211', 'Lekarz - specjalista chirurgii plastycznej'),
('221213', 'Lekarz - specjalista chorób płuc');

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `Wizyta`
--

CREATE TABLE `Wizyta` (
  `IDW` int(11) NOT NULL,
  `PESEL` char(11) NOT NULL,
  `Data` date NOT NULL,
  `PWZ` char(7) NOT NULL,
  `ICD10` char(3) DEFAULT NULL,
  `RefundNFZ` tinyint(1) NOT NULL,
  `Opis` text NOT NULL,
  `Koszt` decimal(6,2) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Zrzut danych tabeli `Wizyta`
--

INSERT INTO `Wizyta` (`IDW`, `PESEL`, `Data`, `PWZ`, `ICD10`, `RefundNFZ`, `Opis`, `Koszt`) VALUES
(1, '70052000234', '2021-01-15', '1234567', 'J00', 1, '', '0.00'),
(2, '82012090803', '2021-01-18', '7654321', 'J11', 0, '', '50.00'),
(3, '01272000695', '2019-11-01', '1234567', 'J02', 1, '', '0.00'),
(4, '05301269066', '2020-06-25', '2222222', 'J80', 1, '', '35.00'),
(5, '07291096679', '2020-03-10', '2222222', NULL, 0, '', '180.00'),
(6, '10323067941', '2021-02-03', '7654321', 'J11', 1, '', '0.00'),
(7, '60010101539', '2021-04-10', '1111111', 'J34', 1, '', '0.00'),
(8, '70052000234', '2020-08-01', '1234567', 'J11', 1, '', '0.00'),
(9, '79082034999', '2020-07-10', '7654321', 'J02', 1, '', '0.00'),
(10, '82012090803', '2020-02-12', '1234567', 'J98', 1, '', '0.00'),
(11, '85021594387', '2020-11-25', '7654321', 'J46', 1, '', '0.00'),
(12, '85021594387', '2020-10-30', '1234567', 'J32', 1, '', '0.00'),
(13, '95033150718', '2021-01-30', '2222222', NULL, 0, '', '200.00'),
(14, '85021594387', '2020-02-03', '2222222', 'J80', 1, '', '35.00'),
(15, '01272000695', '2020-05-07', '2222222', 'J80', 1, '', '35.00');

-- --------------------------------------------------------

--
-- Struktura tabeli dla tabeli `Wizyty_ProceduryNFZ`
--

CREATE TABLE `Wizyty_ProceduryNFZ` (
  `IDW` int(11) NOT NULL,
  `IDPNFZ` char(15) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Zrzut danych tabeli `Wizyty_ProceduryNFZ`
--

INSERT INTO `Wizyty_ProceduryNFZ` (`IDW`, `IDPNFZ`) VALUES
(1, '5.01.00.0000121'),
(2, '5.01.00.0000122'),
(3, '5.01.00.0000121'),
(4, 'W11'),
(6, '5.01.00.0000121'),
(7, '5.01.00.0000121'),
(8, '5.01.00.0000121'),
(9, '5.01.00.0000121'),
(10, '5.01.00.0000121'),
(11, '5.01.00.0000121'),
(12, '5.01.00.0000121'),
(14, 'W11'),
(15, 'W11');

--
-- Indeksy dla zrzutów tabel
--

--
-- Indeksy dla tabeli `Badanie`
--
ALTER TABLE `Badanie`
  ADD PRIMARY KEY (`ICD9`);

--
-- Indeksy dla tabeli `Choroby`
--
ALTER TABLE `Choroby`
  ADD PRIMARY KEY (`ICD10`);

--
-- Indeksy dla tabeli `Lekarz`
--
ALTER TABLE `Lekarz`
  ADD PRIMARY KEY (`PWZ`);

--
-- Indeksy dla tabeli `Lekarz_Specjalnosc`
--
ALTER TABLE `Lekarz_Specjalnosc`
  ADD PRIMARY KEY (`PWZ`,`IDSpec`),
  ADD KEY `Lekarz_Specjalnosc - Specjalnosc` (`IDSpec`);

--
-- Indeksy dla tabeli `Pacjent`
--
ALTER TABLE `Pacjent`
  ADD PRIMARY KEY (`PESEL`),
  ADD KEY `Lekarz rodzinny` (`PWZ`);

--
-- Indeksy dla tabeli `ProceduryNFZ`
--
ALTER TABLE `ProceduryNFZ`
  ADD PRIMARY KEY (`IDPNFZ`);

--
-- Indeksy dla tabeli `Skierowanie`
--
ALTER TABLE `Skierowanie`
  ADD PRIMARY KEY (`IDW`,`ICD9`),
  ADD KEY `Skierowanie - Badanie` (`ICD9`);

--
-- Indeksy dla tabeli `Specjalnosc`
--
ALTER TABLE `Specjalnosc`
  ADD PRIMARY KEY (`IDSpec`);

--
-- Indeksy dla tabeli `Wizyta`
--
ALTER TABLE `Wizyta`
  ADD PRIMARY KEY (`IDW`),
  ADD KEY `Wizyta - ICD10` (`ICD10`),
  ADD KEY `Wizyta - Lekarz` (`PWZ`),
  ADD KEY `Wizyta - Pacjent` (`PESEL`);

--
-- Indeksy dla tabeli `Wizyty_ProceduryNFZ`
--
ALTER TABLE `Wizyty_ProceduryNFZ`
  ADD PRIMARY KEY (`IDW`,`IDPNFZ`),
  ADD KEY `Wizyty_ProceduryNFZ - ProceduryNFZ` (`IDPNFZ`);

--
-- AUTO_INCREMENT dla tabel zrzutów
--

--
-- AUTO_INCREMENT dla tabeli `Wizyta`
--
ALTER TABLE `Wizyta`
  MODIFY `IDW` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=16;

--
-- Ograniczenia dla zrzutów tabel
--

--
-- Ograniczenia dla tabeli `Lekarz_Specjalnosc`
--
ALTER TABLE `Lekarz_Specjalnosc`
  ADD CONSTRAINT `Lekarz_Specjalnosc - Lekarz` FOREIGN KEY (`PWZ`) REFERENCES `Lekarz` (`PWZ`),
  ADD CONSTRAINT `Lekarz_Specjalnosc - Specjalnosc` FOREIGN KEY (`IDSpec`) REFERENCES `Specjalnosc` (`IDSpec`);

--
-- Ograniczenia dla tabeli `Pacjent`
--
ALTER TABLE `Pacjent`
  ADD CONSTRAINT `Lekarz rodzinny` FOREIGN KEY (`PWZ`) REFERENCES `Lekarz` (`PWZ`);

--
-- Ograniczenia dla tabeli `Skierowanie`
--
ALTER TABLE `Skierowanie`
  ADD CONSTRAINT `Skierowanie - badanie` FOREIGN KEY (`ICD9`) REFERENCES `Badanie` (`ICD9`),
  ADD CONSTRAINT `Skierowanie - wizyta` FOREIGN KEY (`IDW`) REFERENCES `Wizyta` (`IDW`);

--
-- Ograniczenia dla tabeli `Wizyta`
--
ALTER TABLE `Wizyta`
  ADD CONSTRAINT `Wizyta - ICD10` FOREIGN KEY (`ICD10`) REFERENCES `Choroby` (`ICD10`),
  ADD CONSTRAINT `Wizyta - Lekarz` FOREIGN KEY (`PWZ`) REFERENCES `Lekarz` (`PWZ`),
  ADD CONSTRAINT `Wizyta - Pacjent` FOREIGN KEY (`PESEL`) REFERENCES `Pacjent` (`PESEL`);

--
-- Ograniczenia dla tabeli `Wizyty_ProceduryNFZ`
--
ALTER TABLE `Wizyty_ProceduryNFZ`
  ADD CONSTRAINT `Wizyty_ProceduryNFZ - ProceduryNFZ` FOREIGN KEY (`IDPNFZ`) REFERENCES `ProceduryNFZ` (`IDPNFZ`),
  ADD CONSTRAINT `Wizyty_ProceduryNFZ - Wizyta` FOREIGN KEY (`IDW`) REFERENCES `Wizyta` (`IDW`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
